<?php 
include_once __DIR__ ."/include/myauroravar.php";
include_once __DIR__ ."/djgCalendar.php";
header('Content-type: text/html');

//include ("nightkp.php");
//date_default_timezone_set('America/Los_Angeles');
date_default_timezone_set('UTC');		//run on server, all use UTC

echo '<span style="color:#ccc;text-align:left;font-size:14px">';

define("F3DAY", "http://services.swpc.noaa.gov/text/3-day-forecast.txt");
define("G3DAY", "http://services.swpc.noaa.gov/text/3-day-geomag-forecast.txt");
//define("G3DAY", "text/3-day-geomag-forecast.txt");
define("F45DAY", "http://services.swpc.noaa.gov/text/45-day-ap-forecast.txt");
//define("F45DAY", "text/45-day-ap-forecast.txt");
define("F27DAY", "http://services.swpc.noaa.gov/text/27-day-outlook.txt");
//define("F27DAY", "text/27-day-outlook.txt");

/* **********************************************
		Entry function. Be care of global vars
   **********************************************/
$updated=kpmain();		//call by myaurora.php

//echo '<br>Updated. <br>';

$imgac="kp/AuroraCalendar.png";
//echo '<img src="kp/AuroraCalendar.png"> <br>';		//test 
//echo '<img src=\"'. $imgac .'\"> <br>';

//echo date('T');		//x show PDT 

//make day 1, local time today 16:00
/* debug 
$row= "<br>\n";
echo $kp3.'<br>';

echo $row;

echo '<pre>'; //keep blank space.
printf("%s   %s  %s  %s<br>",substr($fcst[13],0,5), substr($fcst[13],12,7), substr($fcst[13],23,7), substr($fcst[13],34,7));
for ($i=14;$i<22;$i++){
	outrow($fcst[$i]);
} 
*/

echo '</pre>';
echo '</span>';
// global variables, use global if call other function which is globaling them !


/* moved to include/myauroravar.php
$kpStatus=[
	'kpfile' => __DIR__ ."/kp/kp72h.txt",
	'updateKp'	=> 0,
	'F3'	=>0,
	'G3'	=>0,	
	'F45'	=>0,
	'F27'	=>0,
	
];

$kp72h=[
	'idate' => '',
	'itime' => 0,
	'ftime' => 0,
	'source' => 'F3',
	'kp72h' => ' ',
	'kp72hf' => '',
	'kp72hg' => '',
	'kpmax3d' => '',
];

$kp45d=[
	'idate' => '',
	'itime' => 0,
	'ftime' => 0,
	'source' => 'F45',
	'kp45d' => '45d ',
	'kp45o' => 'original',	//org value
	'kp27o' => 'original'	
] ;
*/
/* ********************* Entry  **************************
*********************************************************/
function kpmain(){
	global $kpStatus, $kp72h, $kp45d, $kps;

	$fld=__DIR__ ."/kp/kpLogs.txt";
	$kpStatus['updateKp']=1;
	$kpStatus['kpfile']=$fld;
	
	if(file_exists($fld)){
		$mtime=filemtime($fld);		//it's UTC, while windows show local time.
		if(time()<($mtime+15*60))	//every 15 minutes
			$kpStatus['updateKp']=0;	//	
			//debug return 0;				//not updated
	}
	
	$f3=$kpStatus['F3']=kpFileTime(F3DAY);
	$g3=$kpStatus['G3']=kpFileTime(G3DAY);
	$f45=$kpStatus['F45']=kpFileTime(F45DAY);
	$f27=$kpStatus['F27']=kpFileTime(F27DAY);
	// if any file time newer than data time, do update 
	//do updating and plot	
	// 1. do F45DAY	
	$kp45d['itime']=$f45;
//	echo 'itime before: ' .$kp45d['itime'];
	$ftimeL=getF45kp(F45DAY);		//forecast time long term
	$kp45d['kp45d']=$kp45d['kp45o'];
	$kp45d['source']="F45";
// 2. If F27 is newer
	if($f27>$f45){
		getF27kp();		//update first 27days $kp45d, must renew 'ftime' and 'itime'
		$kp45d['source']="F27";
//		$kp45d['itime']=$f27;
	}
// 3. G3 vs F3 which is newer
	$kp72h['kp72hf'] ='';
	$kp72h['kp72hg'] ='';		//initialize
	$fg3=$f3;
	if ($f3 >$g3 ){
		$kp45d['itime']=$f3;
		$ftimeS=get3daykp(F3DAY, $kpStatus['F3'] );
		$kp72h['source'] ="F3";
		$kp72h['kp72hf'] =$kp72h['kp72h'];
	}
	else {
		$kp45d['itime']=$g3;
		$ftimeS=get3daykp(G3DAY, $kpStatus['G3'] );
		$kp72h['source'] ="G3";
		$kp72h['kp72hg'] =$kp72h['kp72h'];
		$fg3=$g3;
	}
	if($fg3>$f45){		//renew recent 3 days
		renew3day();
		$kp45d['itime']=$fg3;
	}
	$kp72h['itime']=$fg3;		//newest
	//	renew3day();
	$kp45d['idate']=gmdate("Y-m-d H:i:s " ,$kp45d['itime'] );
	$kp72h['idate']=gmdate("Y-m-d H:i:s " ,$kp72h['itime'] );
	
	$kps['kp72h']=$kp72h;
	$kps['kp45d']=$kp45d;
	$kps['kpStatus']=$kpStatus;
	//var_dump($kps);
// every 15minutse
	$fh=fopen ($fld, "w+");
	fprintf($fh, "Creat time: %s timestamp: %s\n", gmdate("Y-m-d H:i:s", time()) , time() );
	
	fprintf($fh, "3-day issue time  %s  timestamp: %s\n", $kp72h['idate'] ,$kp72h['itime']);
	fprintf($fh, "3-day forecast time  %s  timestamp: %s\n" ,gmdate("Y-m-d H:i:s " ,$kp72h['ftime']) ,$kp72h['ftime']);
	fprintf($fh, "%s\n", $kp72h['kp72h']);
	fprintf($fh, "3-day max: %s \n", $kp72h['kpmax3d']);
	fprintf($fh, "Source: %s \n", $kp72h['source']);
	
	fprintf($fh, "45-day issue time  %s  timestamp: %s\n", $kp45d['idate'] ,$kp45d['itime']);
	fprintf($fh, "45-day forecast time  %s  timestamp: %s\n" ,gmdate("Y-m-d H:i:s " ,$kp45d['ftime']) ,$kp45d['ftime']);
	fprintf($fh, "45-day original: %s \n" ,$kp45d['kp45o']);
	
	fprintf($fh, "45-day adjusted: %s\n", $kp45d['kp45d']);
	fprintf($fh, "Source: %s \n ", $kp45d['source']);
	fclose ($fh);
	$json = json_encode($kps);
//	$jsn=json_decode($json, TRUE);
//	var_dump($jsn);
//	var_dump($kp72h);
	$fh=fopen(__DIR__ ."/kp/kpData.json", "w+");
	fprintf($fh, "%s", $json);
	fclose ($fh);
	
	Calendar($kp72h, $kp45d);

//	var_dump($m3);

	
}

function renew3day(){
	global $kp45d, $kp72h;
//	echo "renew 3day...";
	$ftime45d=$kp45d['ftime'];		// >= itime
	$ftime72h=$kp72h['ftime'];		// >itime
	$kp45=$kp45d['kp45o'];
	$kp3=$kp72h['kpmax3d'];
	if($ftime72h==$ftime45d){
		$kp45=substr_replace($kp45, $kp3,  0 ,3);	//renew 3 days
//		echo "Hit 3!!!";
		}
	else if($ftime72h < $ftime45d){		// 1 day dif
//		echo "Hit 2!!! <br>";
		$kp2=substr($kp72h['kpmax3d'], 1, 2);
		$kp45=substr_replace($kp45, $kp2, 0 ,2);	//renew 2 days
	}
	else if($ftime72h > $ftime45d){		// ...... 45 day failed to renew, in weekend?
		$days=$ftime72h-$ftime45d;
		$days /=86400;
		$kp45=substr_replace($kp45, $kp3,  $days ,3);
//		echo "Hit!!! 45day failed to renew! <br>"; 
	}
	$kp45d['kp45d']=$kp45;		//updated
}


function getF27kp(){
//	echo "To do... <br>";
}


/*
	Functions
*/

function kpFileTime($fld){
	
	$fh=file_get_contents($fld, 0,null,0,100);
//	$fh=fopen($fld, 'r');
//		var_dump($fh);
	$itime=findIssueTime($fh);
//	echo $fld ." @" .date("Y-m-d H:i:s", $itime) ."<br>";
	return $itime;
}

function findIssueTime($line){
	$ipos=strpos($line, "Issued");
	if($ipos!==false){
//get issue time
		$idate=substr($line, $ipos+8, 20);
		$s=substr($idate,0,4).'-'.substr($idate,5,3).'-'.substr($idate,9,2).' '.substr($idate,12,2).':'.substr($idate,14,2);
		$l_issuetime=strtotime($s);		//UT
//			echo "<br>Converted:" .date("Y-m-d H:i:s", $l_issuetime);	
	}
	return $l_issuetime;
}
/*
NOAA web site is slow, detect issue time, update on time

3-day-forecast.txt do update 1:00 am/pm daily
save kp72h[] as kp72.txt file and check filemtime 
*/


function get3daykp($file, $l_issuetime){
	global $kp72h;
	$ff = file($file);

	$fcst=array();
	$i=0;
	$i00=-1;
	foreach($ff as $line) {
		if($i00==-1) {
			if(strpos($line, "00-03UT")!==false) $i00=$i;
		}
		$fcst[]=$line;
		$i++;
	}

	$istime=getdate($l_issuetime);
//	var_dump($i00);
	//get forecast startdate, could be next year
	$fcdate=date_parse(substr($fcst[$i00-1],12,8));		//different format!!! 'month'/'day' vs 'mon'/mday
	$sttime=forecastYear($istime, $fcdate);			//3day forecast time
//	var_dump ($fcdate);
	
//	echo ' 更新：'.date("Y/m/d H:i",$l_issuetime);
//	echo ' for：'.date("Y/m/d H:i",$sttime);

// step 1. store all to $kp3=array[72],start from $stime

	$kph="";
	$max=0;
	// day 1
	for ($i=0;$i<8;$i++){
		for($j=0; $j<8; $j++){
			$k=substr($fcst[$i00+$i],15+$j,1);
			if($k!==' ') break;
		}
		$v=intval($k);
		if($v>$max) $max=$v;
		$kph .=$k;
		$kph .=$k;
		$kph .=$k;
	}
	$m3['1'] =$max;
	$max=0;
	//day 2
	for ($i=0;$i<8;$i++){
		for($j=0; $j<8; $j++){
			$k=substr($fcst[$i00+$i],25+$j,1);
			if($k!==' ') break;
		}
		$v=intval($k);
		if($v>$max) $max=$v;
		$kph .=$k;
		$kph .=$k;
		$kph .=$k;
	}
	$m3['2'] =$max;
	$max=0;

	//day 3
	for ($i=0;$i<8;$i++){
		for($j=0; $j<8; $j++){
			$k=substr($fcst[$i00+$i],35+$j,1);
			if($k!==' ') break;
		}
		$v=intval($k);
		if($v>$max) $max=$v;
		$kph .=$k;
		$kph .=$k;
		$kph .=$k;
	}
	$m3['3'] =$max;
	$kp72h['ftime'] =$sttime;
	$kp72h['kp72h']=$kph;
	$kp72h['kpmax3d']=(string)$m3['1'] .(string)$m3['2'] .(string)$m3['3'];
	$kp72h[(string) $sttime] =$sttime;
//	echo $kp72h[(string) $sttime];
//	var_dump ($kp72h);
	return $sttime;
}


/*
	Forecast date could be 1 day more or less than issue date
	$istime: issue time in date format
	$fcdate: forecast time in date format
return: int $fctime	
*/	
function forecastYear($istime, $fcdate){
	$fcdate['year']=$istime['year'];
	
	if($fcdate['month']>($istime['mon']+1) )		// Dec, last year
		$fcdate['year']--;
	else if($fcdate['month']<($istime['mon']) )		// Dec->Jan, next year
		$fcdate['year']++;
//	echo $istime['year'] .$istime['mon'] .$istime['mday'] .'<br>' ;
//	echo $fcdate['year'] .$fcdate['month'] .$fcdate['day'] .'<br>' ;
	$ftime=mktime(0,0,0, $fcdate['month'], $fcdate['day'], $fcdate['year'] );
	return $ftime;
}

/*
*/

/************************* 45 day Ap->Kp *****************************

 *********************************************************************/

function getF45kp($file){
	global $kp45d;
	//        0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25
//$kp=array(0,0,1,1,1,2,2,2,3,3,4, 4, 4, 4, 4, 5,5,5);
$kp=array(0,0,1,1,1,2,2,2,3,3,3, 3, 4, 4, 4, 4, 4, 4, 4, 4, 5, 5,);
//	     0 1 2 3  4  5  6  7   8   9
$kpb=array(1,4,7,11,17,35,80,100,170,299);		// 7???
//echo '<pre>';	// <pre> keep blank space.
//echo '<div style="text-align:center;width:320px;height:130px;font-size:14px"> '; 
//echo date('Y-m-d H:i:s \n');
//printf ("%d \n", time());
//echo '<span style="color:red">这是红色的字</span>';
//	$file="http://services.swpc.noaa.gov/text/45-day-ap-forecast.txt";
	//$file="45-day-ap-forecast.txt";		//test data
	$lines = file($file);

		$i=0;
		$array="";
		foreach($lines as $line) {
		 $line = rtrim($line);
		 $array[$i]=$line;
		 $i++;
		}

	$d=0;
	$ap=array();
	//	echo date('m/d   ',$t);
	$datemark=array(23,44,55);	//use original date stamp
	//Get 30 days data to ap$[]
	$d=0;
	for ($i=10;$i<19;$i++){
		$datemark[$d]=strtotime( substr($array[$i],0,7));
		$ap[$d++]=intval(substr($array[$i],8,3));
		$datemark[$d]=strtotime(substr($array[$i],12,7));
		$ap[$d++]=intval(substr($array[$i],21,3));
		$datemark[$d]=strtotime(substr($array[$i],24,7));
		$ap[$d++]=intval(substr($array[$i],33,3));
		$datemark[$d]=strtotime(substr($array[$i],36,7));
		$ap[$d++]=intval(substr($array[$i],45,3));
		$datemark[$d]=strtotime(substr($array[$i],48,7));
		$ap[$d++]=intval(substr($array[$i],57,3));
	}
// convert ap to kp
	$kp='';
	$apx=9;
	for ($i=0;$i<45;$i++){		//45 days
		$k=$ap[$i];
		for($j=0;$j<9;$j++){
			if($k<$kpb[$j]) break;
		}
		$ap[$i]=$j;
		$kp .=(string) $j;
  }
	$kp45d['ftime']=$datemark[0];
	$kp45d['kp45o']=$kp;
//  echo "<br> 45 1st:   " .date("Y-m-d h:i:s" .$datemark[0]) ."<br>";
//  echo $kp;
//	var_dump($ap);
	return $datemark[0];
}
?>
